package com.theitbulls.contextmenuex;

import android.os.Bundle;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

public class PopupMenuActivity extends AppCompatActivity {
    public static final String[] values = new String[]{"Mango", "Orange", "Apple", "Grapes", "Papaya"};
    private RecyclerView rvListView;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.context_menu_activity);

        LinearLayoutManager layoutManager = new LinearLayoutManager(this);
        layoutManager.setOrientation(LinearLayoutManager.VERTICAL);

        rvListView = findViewById(R.id.recyclerListView);
        rvListView.setLayoutManager(layoutManager);
        rvListView.setAdapter(new PopupMenuAdapter(values));
    }
}
